# pandas.tseries.offsets.BYearEnd

class pandas.tseries.offsets.BYearEnd

  DateOffset increments between the last business day of the year.

  Examples

      >>> from pandas.tseries.offset import BYearEnd
      >>> ts = pd.Timestamp('2020-05-24 05:01:15')
      >>> ts - BYearEnd()
      Timestamp('2019-12-31 05:01:15')
      >>> ts + BYearEnd()
      Timestamp('2020-12-31 05:01:15')
      >>> ts + BYearEnd(3)
      Timestamp('2022-12-30 05:01:15')
      >>> ts + BYearEnd(-3)
      Timestamp('2017-12-29 05:01:15')
      >>> ts + BYearEnd(month=11)
      Timestamp('2020-11-30 05:01:15')

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.

  freqstr |
  kwds |
  month |
  n |
  name |
  nanos |
  normalize |
  rule_code |

  Methods

  `__call__`(*args, **kwargs) | Call self as a function.
  `rollback` | Roll provided date backward to next offset only if not on offset.
  `rollforward` | Roll provided date forward to next offset only if not on offset.

  apply |
  apply_index |
  copy |
  isAnchored |
  is_anchored |
  is_month_end |
  is_month_start |
  is_on_offset |
  is_quarter_end |
  is_quarter_start |
  is_year_end |
  is_year_start |
  onOffset |